epic4_2.10.6-1build3_amd64.deb


Advertisement

Description

epic4 - epic irc client, version 4

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name epic4
Package version 2.10.6
Package release 1build3
Package architecture amd64
Package type deb
Installed size 1.31 KB
Download size 449.18 KB
Official Mirror archive.ubuntu.com
epic4 is an irc client based on ircII.  It is primarily suited to users who
wish to write their own irc scripts or have irc scripts written by others.
Previous versions of epic were 100% compatible with ircII 2.8.2, though
this is no longer the case.  Instead we've taken a new direction and chosen
to find places where compatibility with ircII is undesirable and fix them.
No gratuitous incompatibilities have been added, though many new features
have been.

Alternatives

Package Version Architecture Repository
epic4_2.10.6-1build3_i386.deb 2.10.6 i386 Ubuntu Universe
epic4 - - -

Requires

Name Value
epic4-help >= 1:1.1.7.20020907
libc6 >= 2.17
libperl5.26 >= 5.26.0~rc1
libssl1.1 >= 1.1.0
libtinfo5 >= 6

Provides

Name Value
irc -

Download

Type URL
Binary Package epic4_2.10.6-1build3_amd64.deb
Source Package epic4

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install epic4 deb package:
    # sudo apt-get install epic4

Files

Path
/etc/epic4/epic4.irc
/etc/epic4/servers
/usr/bin/epic4
/usr/lib/epic4/wserv4
/usr/share/doc/epic4/BUG_FORM
/usr/share/doc/epic4/DCC_REVERSE.gz
/usr/share/doc/epic4/EPIC_ABOUT
/usr/share/doc/epic4/EPIC_THANKS
/usr/share/doc/epic4/EPIC_VERSIONS
/usr/share/doc/epic4/IPV6.gz
/usr/share/doc/epic4/IRCII_VERSIONS
/usr/share/doc/epic4/KNOWNBUGS
/usr/share/doc/epic4/NEWS.Debian.gz
/usr/share/doc/epic4/README.Debian
/usr/share/doc/epic4/README.SSL
/usr/share/doc/epic4/README.gz
/usr/share/doc/epic4/SILLINESS
/usr/share/doc/epic4/TS4.gz
/usr/share/doc/epic4/UPDATES
/usr/share/doc/epic4/changelog.Debian.gz
/usr/share/doc/epic4/color.txt
/usr/share/doc/epic4/colors.gz
/usr/share/doc/epic4/copyright
/usr/share/doc/epic4/dccresum.txt
/usr/share/doc/epic4/expansions.gz
/usr/share/doc/epic4/keys
/usr/share/doc/epic4/local_vars
/usr/share/doc/epic4/missing
/usr/share/doc/epic4/new-load
/usr/share/doc/epic4/nicknames
/usr/share/doc/epic4/outputhelp
/usr/share/doc/epic4/pf-loader.gz
/usr/share/doc/epic4/word-lists
/usr/share/doc/epic4/examples/wrapper.irc
/usr/share/epic4/script/2.8script
/usr/share/epic4/script/alias
/usr/share/epic4/script/altchan
/usr/share/epic4/script/altchan.bj
/usr/share/epic4/script/autoget
/usr/share/epic4/script/autokick
/usr/share/epic4/script/autoop
/usr/share/epic4/script/away
/usr/share/epic4/script/basical
/usr/share/epic4/script/columns
/usr/share/epic4/script/commandqueues
/usr/share/epic4/script/country
/usr/share/epic4/script/data_array
/usr/share/epic4/script/data_struct
/usr/share/epic4/script/dcc_spacefix
/usr/share/epic4/script/dcc_timeout
/usr/share/epic4/script/deban
/usr/share/epic4/script/debug.irc
/usr/share/epic4/script/dig
/usr/share/epic4/script/dns
/usr/share/epic4/script/edit
/usr/share/epic4/script/edit_topic
/usr/share/epic4/script/efnext
/usr/share/epic4/script/environment
/usr/share/epic4/script/epic-crypt-gpg
/usr/share/epic4/script/epic-crypt-gpg-aa
/usr/share/epic4/script/events
/usr/share/epic4/script/events.hop
/usr/share/epic4/script/fake-dcc
/usr/share/epic4/script/fe
/usr/share/epic4/script/fe.pf
/usr/share/epic4/script/files
/usr/share/epic4/script/functions
/usr/share/epic4/script/genalias
/usr/share/epic4/script/global
/usr/share/epic4/script/grep
/usr/share/epic4/script/guh
/usr/share/epic4/script/help
/usr/share/epic4/script/hold_mode
/usr/share/epic4/script/hybrid6
/usr/share/epic4/script/imap
/usr/share/epic4/script/ip-to-int
/usr/share/epic4/script/ircprimer
/usr/share/epic4/script/keybinds
/usr/share/epic4/script/killpath
/usr/share/epic4/script/kpstat
/usr/share/epic4/script/langtrans
/usr/share/epic4/script/less
/usr/share/epic4/script/less-pipe
/usr/share/epic4/script/list
/usr/share/epic4/script/local
/usr/share/epic4/script/local.examp
/usr/share/epic4/script/ls
/usr/share/epic4/script/mail
/usr/share/epic4/script/man
/usr/share/epic4/script/map
/usr/share/epic4/script/meta
/usr/share/epic4/script/meta-compat
/usr/share/epic4/script/mkpdir
/usr/share/epic4/script/more
/usr/share/epic4/script/motd
/usr/share/epic4/script/mudirc
/usr/share/epic4/script/netsplit
/usr/share/epic4/script/netsplit.env
/usr/share/epic4/script/newaway
/usr/share/epic4/script/newformat
/usr/share/epic4/script/nicks
/usr/share/epic4/script/nopaste
/usr/share/epic4/script/notify
/usr/share/epic4/script/old-dcc
/usr/share/epic4/script/paste
/usr/share/epic4/script/pipe
/usr/share/epic4/script/prefix
/usr/share/epic4/script/recursion
/usr/share/epic4/script/repeat
/usr/share/epic4/script/revdcc
/usr/share/epic4/script/scan
/usr/share/epic4/script/scandir
/usr/share/epic4/script/screen
/usr/share/epic4/script/sdiff
/usr/share/epic4/script/setmail
/usr/share/epic4/script/silent
/usr/share/epic4/script/sound
/usr/share/epic4/script/sping
/usr/share/epic4/script/starutils
/usr/share/epic4/script/stat
/usr/share/epic4/script/status_lag
/usr/share/epic4/script/suppressmotd
/usr/share/epic4/script/tabkey
/usr/share/epic4/script/tabkey.ce
/usr/share/epic4/script/tabkey.jm
/usr/share/epic4/script/tabkey.th
/usr/share/epic4/script/tc
/usr/share/epic4/script/time
/usr/share/epic4/script/tls
/usr/share/epic4/script/unicode
/usr/share/epic4/script/urlgrab
/usr/share/epic4/script/utime
/usr/share/epic4/script/vi-binds
/usr/share/epic4/script/webster
/usr/share/epic4/script/window
/usr/share/man/man1/epic4.1.gz
/usr/share/menu/epic4

Changelog

2018-02-05 - Dimitri John Ledkov <xnox@ubuntu.com>
epic4 (1:2.10.6-1build3) bionic; urgency=high
* No change rebuild against openssl1.1.
2017-07-26 - Matthias Klose <doko@ubuntu.com>
epic4 (1:2.10.6-1build2) artful; urgency=medium
* No-change rebuild for perl 5.26.0.
2016-10-24 - Iain Lane <iain@orangesquash.org.uk>
epic4 (1:2.10.6-1build1) zesty; urgency=medium
* No-change rebuild for perl 5.24 transition
2016-07-24 - Kurt Roeckx <kurt@roeckx.be>
epic4 (1:2.10.6-1) unstable; urgency=medium
* New upstream release
* Make the build reproducible.  Patch from Reiner Herrmann
<reiner@reiner-h.de> (Closes: #829758)
* Use dh_prep instead of dh_clean -k
* Switch to the "3.0 (quilt)" source format.
* Add build-arch and build-indep targets
* Use dpkg-buildflags
2014-08-02 - Kurt Roeckx <kurt@roeckx.be>
epic4 (1:2.10.5-2) unstable; urgency=medium
* Look for libperl in multiarch paths (Closes: #752342)
Patch by Niko Tyni <ntyni@debian.org>
2014-06-09 - Kurt Roeckx <kurt@roeckx.be>
epic4 (1:2.10.5-1) unstable; urgency=medium
* New upstream release
2013-08-06 - Kurt Roeckx <kurt@roeckx.be>
epic4 (1:2.10.2-1) unstable; urgency=low
* New upstream release (Closes: #718804)
2009-09-05 - Kurt Roeckx <kurt@roeckx.be>
epic4 (1:2.10.1-1) unstable; urgency=low
* New upstream release
* Only have /etc/epic4 in debian/dirs.  The others aren't useful.
* Stop shipping the empty dir usr/share/epic4/help/
* Remove Priority and Section lines for the binary package, the soure
package already has the same.
* Fix some spelling errors in README.Debian
* Add set -e to prerm
* The preinst was using #!/bin/bash for some reason, switch to sh
* Update Standards-Version to 3.8.3, no changes needed.
2008-11-18 - Kurt Roeckx <kurt@roeckx.be>
epic4 (1:2.10-1) unstable; urgency=low
* New upstream release
2008-10-31 - Kurt Roeckx <kurt@roeckx.be>
epic4 (1:2.8-1) unstable; urgency=low
* New maintainer (Closes: #503558)
* New upstream release (Closes: #443125)
* Remove conflicts (Closes: #468425)

See Also

Package Description
epic5-script-lice_5.3.0-1_all.deb Very functional script for epic
epic5_2.0.1-1build3_amd64.deb epic irc client, version 5
epiphany-browser-data_3.28.1-1ubuntu1_all.deb Data files for the GNOME web browser
epiphany-browser_3.28.1-1ubuntu1_amd64.deb Intuitive GNOME web browser
epiphany-data_0.7.0+0-3build1_all.deb required data files for epiphany game
epiphany_0.7.0+0-3build1_amd64.deb clone of Boulder Dash game
epix_1.2.18-1_amd64.deb Create mathematically accurate line figures, plots and movies
epm_4.2-8_amd64.deb Cross-platform package builder by Easy Software Products
epoptes-client_0.5.10-2_all.deb Computer lab management tool (client)
epoptes_0.5.10-2_all.deb Computer lab management tool
epsilon-bin_0.9.2+dfsg-2_amd64.deb Library for wavelet image compression - tools
epstool_3.08+repack-7_amd64.deb edit preview images and fix bounding boxes in EPS files
epub-utils_0.2.2-4ubuntu1_amd64.deb tools to work with the EPUB file format
epubcheck_4.0.2-2_all.deb Validation Tool for EPUB
epydoc-doc_3.0.1+dfsg-17_all.deb tool for documenting Python modules (documentation)
Advertisement
Advertisement